<?php

    namespace Intgrtn;

    /**
     * @author heminei
     */
    class Config
    {

        private static $_instance = null;
        private $SMTP = false;
        private $SMTPHost = 'localhost';
        private $SMTPPort = 25;
        private $SMTPUsername = null;
        private $SMTPPassword = null;
        private $serverHost = null;

        private function __construct()
        {
            if(strpos($_SERVER['HTTP_HOST'], 'wealthmatrix.investpromo.net') !== false) {
                $this->serverHost = 'server.clickzo.co';
            } else {
                $this->serverHost = 'server.convertick.com';
            }
        }
        /**
         *
         * @return self
         */
        public static function instance()
        {
            if (self::$_instance === null) {
                self::$_instance = new self;
            }
            return self::$_instance;
        }

        public function getSMTP()
        {
            return $this->SMTP;
        }

        public function getSMTPHost()
        {
            return $this->SMTPHost;
        }

        public function getSMTPPort()
        {
            return $this->SMTPPort;
        }

        public function getSMTPUsername()
        {
            return $this->SMTPUsername;
        }

        public function getSMTPPassword()
        {
            return $this->SMTPPassword;
        }

        public function getServerHost()
        {
            return $this->serverHost;
        }

    }
